<!DOCTYPE html>
<html ng-app="todoApp">
<head>
  <title>AngularJS To-Do List</title>
  <style>
    #todoList {
      width: 400px;
      margin: auto;
      border: 1px solid #ccc;
      border-radius: 5px;
      padding: 20px;
      margin-top: 20px;
      text-align: center;
    }

    ul {
      list-style-type: none;
      padding: 0;
      text-align: left;
    }

    li {
      margin-bottom: 10px;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    button {
      background-color: #dc3545;
      color: #fff;
      border: none;
      padding: 5px 10px;
      border-radius: 3px;
      cursor: pointer;
    }

    input[type="text"] {
      padding: 5px;
      width: 60%;
      margin-right: 5px;
    }

    form {
      margin-top: 10px;
    }
  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
</head>
<body>

<div ng-controller="todoCtrl" id="todoList">
  <h2>To-Do List</h2>

  <form ng-submit="addTask()">
    <label for="newTask">New Task:</label>
    <input type="text" id="newTask" ng-model="newTask" required>
    <button type="submit">Add</button>
  </form>

  <ul>
    <li ng-repeat="task in tasks">
      <span>{{ task }}</span>
      <span>
        <button ng-click="editTask($index)">Edit</button>
        <button ng-click="deleteTask($index)">Delete</button>
      </span>
    </li>
  </ul>
</div>

<script>
  var app = angular.module('todoApp', []);

  app.controller('todoCtrl', function ($scope) {
    $scope.tasks = ["Breakfast", "Lunch", "Dinner"];
    $scope.newTask = "";

    $scope.addTask = function () {
      if ($scope.newTask.trim() !== "") {
        $scope.tasks.push($scope.newTask);
        $scope.newTask = "";
      }
    };

    $scope.editTask = function (index) {
      var editedTask = prompt("Edit task:", $scope.tasks[index]);
      if (editedTask !== null) {
        $scope.tasks[index] = editedTask;
      }
    };

    $scope.deleteTask = function (index) {
      var confirmDelete = confirm("Are you sure you want to delete this task?");
      if (confirmDelete) {
        $scope.tasks.splice(index, 1);
      }
    };
  });
</script>

</body>
</html>
